import random
import turtle


def kresli_kruznicu(polomer):
    """
    Vykreslí kružnicu so zadaným polomerom skladajúcu sa z malých farebných bodiek s priemerom 4.
    Začiatok je na obvode kružnice.

    :param polomer: polomer kružnice
    """
    sirka = 4
    pocet_casti = int(2 * 3.141592653589793 * polomer / sirka)
    farba = pero.color()
    mod = plocha.colormode()
    red, green, blue = random.uniform(0, mod), random.uniform(0, mod), random.uniform(0, mod)
    zmena = random.randrange(0, 3)

    for i in range(pocet_casti):
        pero.penup()
        pero.circle(polomer, extent=360 / pocet_casti)
        pero.pendown()
        if zmena == 0:
            pero.color(random.uniform(0, mod), green, blue)
        elif zmena == 1:
            pero.color(red, random.uniform(0, mod), blue)
        else:
            pero.color(red, green, random.uniform(0, mod))
        pero.dot(sirka)

    pero.color(*farba)


def terc(polomer):
    # dokonči túto funkiu podľa zadania
    pass


plocha = turtle.Screen()
pero = turtle.Turtle()
pero.speed(0)
plocha.delay(0)

plocha.mainloop()
